import sys
from cx_Freeze import setup, Executable

debug = True
debug = not debug
# Dependencies are automatically detected, but it might need fine tuning.
# "packages": ["os"] is used as example only

import opcode
import os
import distutils
#distutils_path = os.path.join(os.path.dirname(opcode.__file__), 'distutils')
build_exe_options = {"include_msvcr": True, "packages": ["camelot", "setuptools", "segno"], "optimize": 0, "silent": True, "include_files": ["gs10030w64.exe", "GothamCond-Medium.otf", "belden-logo-superhires.png"], "excludes": ["scipy", "torch"]}

# base="Win32GUI" should be used only for Windows GUI app
base = "console"
#if sys.platform == "win32" and not debug:
#    base = "Win32GUI"

if sys.platform == "linux" or sys.platform == "linux2" or sys.platform == "darwin":
    name = "jukebox-labelgen"
else:   
    name = "jukebox-labelgen.exe"

setup(
    name="IP Pigeon",
    version="0.2.4",
    description="IP Pigeon client application",
    options={"build_exe": build_exe_options},
    executables=[Executable("label_generator.py", base=base, uac_admin=False, target_name=name)],
)
