#!/bin/sh

# This script must run as root!

echo "https://dl-cdn.alpinelinux.org/alpine/latest-stable/main
https://dl-cdn.alpinelinux.org/alpine/latest-stable/community" > /etc/apk/repositories

apk upgrade
apk add git docker docker-cli-compose

rc-update add docker
service docker start

git clone https://git.myitr.org/Jukebox/jukebox-software
cd jukebox-software
git submodule init
git submodule update

docker compose build
docker compose up -d